var repair = 15; var damageGet = 1; var itemID = 293; var maxDamage = 1560;
var power = 7+Math.sqrt(harvesting_lvl*1.5+gardening_lvl); var breakSpeech = "Wasting diamons so fast. That's inhuman";
var blade = 30; var cut = 50; var chop = 20; var smash = 15; var harvest = 85;

if (pinv.getCurrentItem() != null)
{if (pinv.getCurrentItem().itemID == itemID) {var ent = pinv.getCurrentItem(); player.swingMainHand();}}
if (pinv.getOffhandItem() != null) 
{if (pinv.getOffhandItem().itemID == itemID) {var ent = pinv.getOffhandItem(); player.swingOffHand();}}

if (hitBlock != null) {time.sleep(0.05); var blockID = world.getBlockID(hitBlock.x,hitBlock.y,hitBlock.z);
var blockMD = world.getMetadata(hitBlock.x,hitBlock.y,hitBlock.z);
repairFun(repair,itemID,ent.damage); 

script.runScript("destructable blocks.js");}